* { box-sizing: border-box;}
body {
    margin: 0;
    padding: 0;
    font-family: sans-serif;
    --main-color: #09b3bf;
    
}
.form-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 400px;
    background: #fff;
    padding: 40px;
    border: 1px solid rgba(0,0,0,.1);
    box-shadow: 0 5px 10p rgba(0,0,0,.2);
    border-radius: 2px;
}

.form-container h2 {
    margin: 0 0 40px;
    padding: 0;
    color: var(--main-color);
    text-transform: uppercase;
}
.form-container input {
    padding: 10px 0;
    margin-bottom: 30px;
}
.form-container textarea {
    height: 80px;
    padding: 10px 0;
    margin-bottom: 40px;
}
.form-container input, .form-container textarea {
  width: 100%;
  box-shadow: none; 
  outline: none;
  border: none;
  border-bottom: 1px solid #999;
  background: #fff;
}
.form-container button {
    border-bottom: none;
    cursor: pointer;
    background: var(--main-color);
    color: #fff;
    margin-bottom: 0;
    text-transform: uppercase;
    width: 100%;
	border: none;
    padding: 5px;
}
.form-container form div {
    position: relative;
}
.form-container form div label {
    position: absolute;
    top: 10px;
    pointer-events: none;
    left: 0;
    color: #999;
    transition: .5s;
}

.form-container input:focus ~ label, .form-container textarea:focus ~ label,
.form-container input:valid ~ label, .form-container textarea:valid ~ label {
    top: -12px;
    left: 0;
    color: var(--main-color);
    font-size: 12px;
    font-weight: bold;
}

.form-container input:focus, .form-container textarea:focus,
.form-container input:valid, .form-container textarea:valid {
    border-bottom: 2px solid var(--main-color);
}